Bug 115693 - up2date is unable to download some packages
up2date is unable to download some packages
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
:
: 114188 114242 114272 114968 115142 pk 115485 115544 115545 115550 115553 115628 116245 116310 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-14 19:01 EST by vamsee lakamsani
Modified: 2007-04-18 13:03 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 16:20:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of packages that up2date is unable to download. (61.97 KB, image/png)
2004-02-14 19:02 EST, vamsee lakamsani
no flags Details
screen shot of error message from up2date when package donwload fails (33.30 KB, image/png)
2004-02-14 19:04 EST, vamsee lakamsani
no flags Details
THIS ERROR APPEAR WHEN I TRY TO DOWNLOAD UP2DATE (538 bytes, text/plain)
2005-05-29 13:43 EDT, JUAN ANDRES ROJAS VIGIL
no flags Details

  None (edit)
Description vamsee lakamsani 2004-02-14 19:01:21 EST
Description of problem:
Redhat Update agent is unable to download all the packages that need
updating. 

Version-Release number of selected component (if applicable):
up2date-3.1.23.2-1

How reproducible:
install redhat 9 and a PC. After installation, bring up up2date (gui)
by selecting "Launch up2date.." item on the RHN alert icon in the
sytem tray (bottom left of the screen next to the date). It shows
about 92 packages need updating. Select all the packages and start
update. But it is not able to download around 22 packages. For
successful download you have to disable download of these 22 packages.
I found by trial and error because once it fails to download a package
it just quits and you have to restart the download process. One nice
thing is that it remembers what is downloaded so far.

  
Actual results:
unable to download around 22 packages.

Expected results:
should download all the packages?

Additional info:
two screen shots are attached in PNG format. One is the list of 22
packages it is unable to download. Second is the error message when
download of one of the packages fails. The actual set of packages with
download problem may be small (around 10) and probably involves just
the source packages. But due to package dependencies it appears that
none of these 22 packages download.
Comment 1 vamsee lakamsani 2004-02-14 19:02:53 EST
Created attachment 97677 [details]
screen shot of packages that up2date is unable to download.
Comment 2 vamsee lakamsani 2004-02-14 19:04:42 EST
Created attachment 97678 [details]
screen shot of error message from up2date when package donwload fails

the same error message is shown for other packages. in all the cases the
problem seems to be with some "src" package.
Comment 3 Matt Jamison 2004-02-16 10:44:11 EST
yep, it looks like all 22 of the packages in the above screenshot are
missing the SRPMS.

assigning to jkt.
Comment 5 Matt Jamison 2004-02-17 13:47:44 EST
*** Bug 115553 has been marked as a duplicate of this bug. ***
Comment 6 Matt Jamison 2004-02-19 13:03:13 EST
*** Bug 115628 has been marked as a duplicate of this bug. ***
Comment 7 Matt Jamison 2004-02-19 13:03:48 EST
*** Bug 115550 has been marked as a duplicate of this bug. ***
Comment 8 Matt Jamison 2004-02-19 13:04:36 EST
*** Bug 115545 has been marked as a duplicate of this bug. ***
Comment 9 Matt Jamison 2004-02-19 13:05:05 EST
*** Bug 115544 has been marked as a duplicate of this bug. ***
Comment 10 Matt Jamison 2004-02-19 13:05:36 EST
*** Bug 115485 has been marked as a duplicate of this bug. ***
Comment 11 Matt Jamison 2004-02-19 13:05:55 EST
*** Bug 115180 has been marked as a duplicate of this bug. ***
Comment 12 Matt Jamison 2004-02-19 13:06:51 EST
*** Bug 115142 has been marked as a duplicate of this bug. ***
Comment 13 Matt Jamison 2004-02-19 13:07:24 EST
*** Bug 114968 has been marked as a duplicate of this bug. ***
Comment 14 Matt Jamison 2004-02-19 13:08:24 EST
*** Bug 114272 has been marked as a duplicate of this bug. ***
Comment 15 Matt Jamison 2004-02-19 13:08:59 EST
*** Bug 114242 has been marked as a duplicate of this bug. ***
Comment 16 Matt Jamison 2004-02-19 13:09:26 EST
*** Bug 114188 has been marked as a duplicate of this bug. ***
Comment 17 Matt Jamison 2004-02-19 13:11:17 EST
here is a list so far of the SRPMS that aren't available:

krb5-devel
krb5-libs
nfs-utils
openssh-askpass
openssh-askpass-gnome
openssh-clients
openssh-server
openssl
openssl-devel
openssl096b
pam_smb
perl
perl-CGI
perl-DB_File
php
php-imap
php-ldap
postfix
sendmail
xpdf
freetype-2.1.4-4.0.src.rpm
man-1.5k-10.src.rpm
gzip-1.3.3-9.src.rpm
gnupg-1.2.1-10.src.rpm
freeradius-0.9.3-1.src.rpm
up2date-3.1.23.2-1.src.rpm
krb5-1.2.7-14.src.rpm
balsa-2.0.6-2.src.rpm
gdm-2.2.3.1-20.1.src.rpm
Comment 19 Matt Jamison 2004-02-19 19:00:23 EST
*** Bug 116245 has been marked as a duplicate of this bug. ***
Comment 20 Matt Jamison 2004-02-19 19:02:26 EST
*** Bug 116310 has been marked as a duplicate of this bug. ***
Comment 21 Daniel Atrill 2004-02-23 07:15:55 EST
Is this fixed now? I downloaded all packages in my up2date list
without a problem last night. However did the Kernel update before
anything else. Might this have made a difference?
Comment 22 vamsee lakamsani 2004-02-24 16:04:29 EST
It seems to be working fine now. I tried it last night on the PC 
where I noticed the problem and it downloaded and installed all the 
remaining packages. 
Comment 23 Jeff Smith 2004-08-15 08:24:58 EDT
my system gets the same error for this srpm.
net-snmp-5.0.9-2.90.1.src.rpm
Comment 24 Jez Noake 2004-09-23 13:05:07 EDT
I get this too.

There was a fatal error communicating with the server.  The message was:
File Not Found: r-e-d.a

Error Message:
    Invalid RPM package net-snmp-5.0.9-2.90.1.src.rpm requested
Error Class Code: 17
Error Class Info: File not found.
Comment 25 Justin Derrick 2004-10-12 21:48:23 EDT
This error occurs for another verson of the net-snmp package:
   net-snmp-5.0.9-2.30E.6.src.rpm
Comment 26 Jeff Bunce 2004-10-31 10:57:43 EST
I am getting this bug only for the GConf2 packages and the net-snmp
package updates.
Comment 27 Dennis Miller 2004-11-25 13:10:52 EST
I am getting this same error with the mozilla-1.4.2-0.9.0,src,rpm and
the net-snmp-5.0.9-2.90.1.src.rpm.  All other packages downloaded and
installed fine.
----------------------------------------
Error Message:
    Invalid RPM package mozilla-1.4.2-0.9.0.src.rpm requested
Error Class Code: 17
Error Class Info: File not found.
-----------------------------------------
Error Message:
    Invalid RPM package net-snmp-5.0.9-2.90.1.src.rpm requested
Error Class Code: 17
Error Class Info: File not found.

Comment 28 S Goldsmith 2005-03-10 15:21:53 EST
... Similar error with RealPlayer from Extras when trying to use up2date

File Not Found: RealPlayer-10.0.3-1.src.rpm

Error Message:
    Invalid RPM package RealPlayer-10.0.3-1.src.rpm requested
Error Class Code: 17
Error Class Info: File not found.
Comment 29 Jean Francolini 2005-03-15 12:53:28 EST
Red Hat Enterprise Linux ES (v. 3 for x86)


File Not Found: gdk-pixbuf-0.22.0-11.3.3.src.rpm
File Not Found: nss_ldap-207-11.src.rpm
File Not Found: openoffice.org-1.1.0-16.14.EL.src.rpm
File Not Found: redhat-config-nfs-1.0.13-6.src.rpm
Comment 30 August Zajonc 2005-03-31 22:06:21 EST
Error Message:
    Invalid RPM package requested: php-4.3.9-3.2.src.rpm
Error Class Code: 17
Error Class Info: File not found.
Explanation:
Comment 31 JUAN ANDRES ROJAS VIGIL 2005-05-29 13:43:49 EDT
Created attachment 114952 [details]
THIS ERROR APPEAR WHEN I TRY TO DOWNLOAD UP2DATE

WHEN I TRY TO DOWNLOAD THE UPDATE, THIS MESSAGE APPEAR
"Error Message:
    Please run rhn_register (or up2date --register on Red Hat Enterprise Linux
3 or later)
as root on this client
Error Class Code: 9
Error Class Info: Invalid System Credentials.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem."

PLEASE I NEED TO UPDATE MY LINUX
SEND ME ALL THE STEP.
THANK YOU SO MUCH
Comment 32 Bill Nottingham 2006-08-04 16:20:50 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.